{% extends 'base.njk' %}

{% block title %}Download | Bitcoin Cash Node{% endblock %}
{% block description %}{% endblock %}

{% block body %}
<section class="bg-dark">
  <div class="container">
    <div class="row pb-3">
      <div class="col my-5 text-center text-md-left">
        <h1 class="hero-title">$( index.download )$</h1>
        <!-- Version selector -->
        <div class="dropdown">
          <button class="btn btn-link btn-lg bg-lighter-dark text-white dropdown-toggle" type="button" id="version-select" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            v{{ latest }} <img class="chevron-down" src="/static/img/icons/chevron-down.svg" alt="Chevron Down">
          </button>
          <div class="dropdown-menu dropdown-menu-version dropdown-items-sm" aria-labelledby="version-select">
            <a class="dropdown-item" href="#">v{{ latest }}</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v25.0.0" target="_blank">v25.0.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v24.1.0" target="_blank">v24.1.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v24.0.0" target="_blank">v24.0.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v23.1.0" target="_blank">v23.1.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v23.0.0" target="_blank">v23.0.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v22.2.0" target="_blank">v22.2.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v22.1.0" target="_blank">v22.1.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v22.0.0" target="_blank">v22.0.0</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v0.21.2" target="_blank">v0.21.2</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v0.21.1" target="_blank">v0.21.1</a>
            <a class="dropdown-item" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v0.21.0" target="_blank">v0.21.0</a>
          </div>
        </div>

        <p class="mt-4"><a class="text-white" href="https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node/-/tags/v{{ latest }}" target="_blank">$( index.release-notes )$</a></p>
      </div>
    </div>
  </div>
</section>

<section class="bg-lighter-dark text-white">
  <div class="container py-5">
    <!-- linux -->
    <div class="row justify-content-center" id="linux">
      <div class="col-11 col-lg-8 col-xl-7">
        <div class="alert text-danger" role="alert">
          $( download.warning.one )$
        </div>
        <div class="alert text-danger" role="alert">
          $( download.warning.two )$
        </div>
        <h2 class="py-4">Linux</h2>
        <div class="row pt-2">
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/download/v{{ latest }}/bitcoin-cash-node-{{ latest }}-x86_64-linux-gnu.tar.gz" target="_blank">
              64 bit (tar)
            </a>
          </div>
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/download/v{{ latest }}/bitcoin-cash-node-{{ latest }}-i686-pc-linux-gnu.tar.gz" target="_blank">
              32 bit (tar)
            </a>
          </div>
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/download/v{{ latest }}/bitcoin-cash-node-{{ latest }}-arm-linux-gnueabihf.tar.gz" target="_blank">
              ARM (tar)
            </a>
          </div>
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/download/v{{ latest }}/bitcoin-cash-node-{{ latest }}-aarch64-linux-gnu.tar.gz" target="_blank">
              AARCH 64 (tar)
            </a>
          </div>
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="/download/ubuntu">
              Ubuntu PPA
            </a>
          </div>
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v{{ latest }}" target="_blank">
              Source
            </a>
          </div>
        </div>
        <a class="btn btn-link text-muted mt-3" href="#signatures">$( download.signatures )$</a>&nbsp;<a class="btn btn-link text-muted mt-3" href="#pubkeys">$( download.pubkeys )$</a>
      </div>
    </div>
    <!-- /linux -->
    <!-- macOS -->
    <div class="row justify-content-center pt-5" id="macos">
      <div class="col-11 col-lg-8 col-xl-7">
        <h2 class="py-4">macOS</h2>
        <div class="row pt-2 text-center">
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/download/v{{ latest }}/bitcoin-cash-node-{{ latest }}-osx-unsigned.dmg" target="_blank">
              dmg
            </a>
          </div>
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v{{ latest }}" target="_blank">
              All
            </a>
          </div>
        </div>
        <a class="btn btn-link text-muted mt-3" href="#signatures">$( download.signatures )$</a>&nbsp;<a class="btn btn-link text-muted mt-3" href="#pubkeys">$( download.pubkeys )$</a>
      </div>
    </div>
    <!-- /macOS -->
    <!-- Windows -->
    <div class="row justify-content-center pt-5" id="windows">
      <div class="col-11 col-lg-8 col-xl-7">
        <h2 class="py-4">Windows</h2>
        <div class="row pt-2 text-center">
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/download/v{{ latest }}/bitcoin-cash-node-{{ latest }}-win64-setup-unsigned.exe" target="_blank">
              64 bit
            </a>
          </div>
          <div class="col-md-4">
            <a class="m-2 btn btn-outline-light btn-lg btn-block btn-shadow" href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases/tag/v{{ latest }}" target="_blank">
              All
            </a>
          </div>
        </div>
        <a class="btn btn-link text-muted mt-3" href="#signatures">$( download.signatures )$</a>&nbsp;<a class="btn btn-link text-muted mt-3" href="#pubkeys">$( download.pubkeys )$</a>
      </div>
    </div>
    <!-- /Windows -->
    <!-- signatures -->
    <div class="row justify-content-center pt-5" id="signatures">
      <div class="col-11 col-lg-8 col-xl-7">
        <h2 class="py-4 text-capitalize">$( download.signatures )$</h2>
        <div class="row pt-2">
          <a class="btn btn-link text-danger" href="https://gitlab.com/bitcoin-cash-node/announcements/-/raw/master/release-sigs/{{ latest }}/SHA256SUMS.{{ latest }}.asc.imaginary_username" target="_blank">imaginary_username</a>
          <a class="btn btn-link text-danger" href="https://gitlab.com/bitcoin-cash-node/announcements/-/raw/master/release-sigs/{{ latest }}/SHA256SUMS.{{ latest }}.asc.Calin_Culianu" target="_blank">Calin Culianu</a>
          <a class="btn btn-link text-danger" href="https://gitlab.com/bitcoin-cash-node/announcements/-/raw/master/release-sigs/{{ latest }}/SHA256SUMS.{{ latest }}.asc.freetrader" target="_blank">freetrader</a>
        </div>
      </div>
    </div>
    <!-- /signatures -->
    <!-- pubkeys -->
    <div class="row justify-content-center pt-5" id="pubkeys">
      <div class="col-11 col-lg-8 col-xl-7">
        <h2 class="py-4 text-capitalize">$( download.pubkeys )$</h2>
        <div class="row pt-2">
          <a class="btn btn-link text-danger" href="https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node/-/raw/master/contrib/gitian-signing/pubkeys.txt" target="_blank">keys</a>
          <a class="btn btn-link text-danger" href="https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node/-/raw/master/contrib/gitian-signing/keys.txt" target="_blank">fingerprints</a>
        </div>
      </div>
    </div>
    <!-- /pubkeys -->
    <!-- Docker -->
    <div class="row justify-content-center py-5" id="docker">
      <div class="col-11 col-lg-8 col-xl-7">
        <h2 class="py-4">Docker</h2>
        <p>$( download.docker.instruction )$</p>
        <div class="jumbotron mb-3">
          <code>
            docker run zquestz/bitcoin-cash-node
          </code>
        </div>
        <a class="text-muted" href="https://github.com/zquestz/docker-bitcoin" target="_blank">$( download.docker.full )$</a>
      </div>
    </div>
    <!-- /Docker -->
  </div>
</section>
{% endblock %}
